TRADIS_GENE_INSERT_SITES(1)

NAME
tradis_gene_insert_sites - bio-tradis: take in plot file(s) and an embl file and produce a tab delimited file

SYNOPSIS
tradis_gene_insert_sites

DESCRIPTION
Take in a plot file(s) and an embl file and produce a tab delimited file with insert site details to use as input to an R script to t est for essentiality.

-o|output_suffix
    <suffix to add to output files (optional, default = tradis_gene_insert_sites.csv)>

-trim5
    <trim insertion sites from 5' end of gene (optional, default = 0)>

-trim3
    <trim insertion sites from 3' end of gene (optional, default = 0)>

-j|joined_output
    <output a single file with all info. default = one file per input file>

-h|help
    display this message

EXAMPLES

    tradis_gene_insert_sites my_annotation.embl my_insert_site_plot.gz

    tradis_gene_insert_sites my_annotation.embl my_insert_site_plot

# multiple plot files
    tradis_gene_insert_sites my_annotation.embl plot1.gz plot2.gz plot3.gz plot4.gz

# specify an output suffix this will result in a file named my_insert_site_plot1.my_output.csv
    tradis_gene_insert_sites -o my_output.csv my_annotation.embl my_insert_site_plot1

# Trim insertion sites from start or end of gene
    tradis_gene_insert_sites my_annotation.embl -trim5 0.1 -trim3 0.1 my_annotation.embl my_insert_site_plot.gz

The trim parameter is the fraction of the gene length trimmed.

# place all info into a single file
    tradis_gene_insert_sites -o output_suffix.csv -j my_annotation.embl plot1.gz plot2.gz plot3.gz

Resulting file: joined_output.output_suffix.csv

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.